#!/bin/sh
# $Id: aurigadoc.sh,v 1.10 2003/09/16 08:04:57 kshaikh Exp $ 

# OS specific support.  $var _must_ be set to either true or false.
cygwin=false
case "`uname`" in
CYGWIN*) cygwin=true;;
esac

# resolve links - $0 may be a softlink
PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`
AURIGADOC_HOME=`cd "$PRGDIR/.." ; pwd`

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin; then
  [ -n "$AURIGADOC_HOME" ] && AURIGADOC_HOME=`cygpath --unix "$AURIGADOC_HOME"`
fi

CLASSPATH="$AURIGADOC_HOME/bin"
# setup the CLASSPATH
for i in $AURIGADOC_HOME/lib/*.jar ; do
	CLASSPATH=$CLASSPATH:$i
done

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
fi

java -classpath $CLASSPATH com.aurigalogic.aurigadoc.cmdline.Converter "$@"
